%define momorel 4

Summary: AppleTalk networking programs
Name: netatalk
Version: 2.0.3
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
Source0: http://jaist.dl.sourceforge.net/sourceforge/netatalk/netatalk-%{version}.tar.gz
NoSource: 0
Source1: atalk.init
#Source2: netatalk.config
#Source3: AppleVolumes.system
Source4: ICDumpSuffixMap
Source5: netatalk.pam-system-auth
##old momonga patch
##Patch0: netatalk.m4-aclocal.patch
#Patch0: netatalk-1.6.3-norc.patch
#Patch1: netatalk-1.5.5-openssl097.patch
#Patch2: netatalk-1.5.5-pathcat.patch
Patch0:  netatalk-2.0.2-db4_3.patch
Patch1:  netatalk-2.0.2-db4_2-db4_3.patch
Patch2:  netatalk-2.0.2-uams_no_pie.patch
Patch3:  netatalk-2.0.2-extern_ucreator.patch
Patch4:  netatalk-2.0.3-nodefault.patch
Patch5:  netatalk-2.0.3-glibc-kernelheader.patch
URL: http://netatalk.sourceforge.net/
BuildPrereq: pam-devel, cracklib, tcp_wrappers, perl, quota
BuildPrereq: db4-devel >= 4.3
BuildPrereq: openssl-devel >= 0.9.8a
PreReq: chkconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package enables Linux to talk to Macintosh computers via the
AppleTalk networking protocol. It includes a daemon to allow Linux
to act as a file server over EtherTalk or IP for Mac's.
#'

%package devel
Summary: Headers and static libraries for Appletalk development
Group: Development/Libraries

%description devel
This package contains the header files, and static libraries for building
Appletalk networking programs.

%prep
%setup -q
%patch0  -p1 -b .db4_3
%patch1  -p1 -b .db4_2-db4_3
%patch2  -p1 -b .uams_no_pie
%patch3  -p1 -b .extern_ucreator
%patch4  -p1
%patch5  -p1 -b .swab

ln -s ./NEWS ChangeLog

%build
touch AUTHORS
libtoolize --force
aclocal -I macros
automake --add-missing
autoconf
autoheader
export CFLAGS="%{optflags}"
%ifnarch x86_64
# XXX : enable for x86_64 when glibc bug 149284 is fixed!
export CFLAGS="$CFLAGS -fPIE"
export LDFLAGS="-pie -Wl,-z,relro,-z,now,-z,noexecstack,-z,nodlopen"
%endif
%ifarch ppc ppc64 s390 s390x
export CFLAGS="$CFLAGS -fsigned-char"
%endif
%configure \
        --with-pkgconfdir=/etc/atalk/ \
        --with-cracklib \
        --with-pam \
        --with-shadow \
        --with-tcp-wrappers \
        --with-ssl \
        --with-flock-locksi \
	--with-uams-path=%{_libdir}/atalk \
        --enable-shared \
        --enable-krbV-uam \
        --enable-overwrite \
        --with-gnu-ld \
        --enable-redhat

# Grrrr. Fix broken libtool/autoFOO Makefiles.
if [ "%{_lib}" != lib ]; then
        find . -name Makefile | xargs perl -pi \
        -e 's,-L/usr/lib,-L%{_libdir},g'
        find . -name Makefile | xargs perl -pi \
        -e 's,-L/lib,-L/%{_lib},g'
fi

make all

%install
rm -rf %{buildroot}

#mkdir -p %{buildroot}/etc/pam.d
#mkdir -p %{buildroot}%{_initscriptdir}
#mkdir -p %{buildroot}/usr/include/{netatalk,atalk}

make DESTDIR=%{buildroot} mandir=%{_mandir} transform='s,x,x,' install
#
# netatalk now installs its own config files, which are more
# appropriate for v2.0 than the ones we used to ship.
#
#install -m644 config/AppleVolumes.default %{buildroot}/etc/atalk/AppleVolumes.default
#install -m644 config/afpd.conf %{buildroot}/etc/atalk/afpd.conf
#install -m644 config/atalkd.conf %{buildroot}/etc/atalk/atalkd.conf
#install -m644 config/papd.conf %{buildroot}/etc/atalk/papd.conf
#install -m644 config/netatalk.pamd %{buildroot}/etc/pam.d/netatalk
#
# Use netatalk's redhat initscript
#
#install -m755 %{SOURCE1} %{buildroot}%{initdir}/atalk
#cp include/atalk/*.h %{buildroot}/usr/include/atalk/
#cp sys/netatalk/*.h %{buildroot}/usr/include/netatalk/
chmod a-x bin/afile/acleandir.rc
rm -f %{buildroot}/usr/bin/acleandir.rc %{buildroot}/usr/share/man/man1/acleandir*
install -m644 %{SOURCE4} .
#
# install example config files in doc
mkdir config.example
cp -fp `ls config/* | egrep -v 'tmpl$|Makefile' | tr '\n' ' '` config.example
cp -fp %{SOURCE5} config.example
# XXX bad hack until this file is updated in glibc-headers:
rm -f %{buildroot}/usr/include/netatalk/at.h

# move script
mv %{buildroot}/etc/rc.d/init.d %{buildroot}/etc
rm -rf %{buildroot}/etc/rc.d

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add atalk

%preun
if [ "$1" = 0 ] ; then
  /sbin/service atalk stop > /dev/null 2>&1
  /sbin/chkconfig --del atalk
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service atalk condrestart > /dev/null 2>&1 || :
fi

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog README* TODO VERSION NEWS
%doc ICDumpSuffixMap doc
%doc bin/afile/acleandir.rc
%doc config.example
%dir /etc/atalk
%attr(755,root,root) %config %{_initscriptdir}/atalk
%config(noreplace) /etc/atalk/AppleVolumes.default
%config(noreplace) /etc/atalk/AppleVolumes.system
%config(noreplace) /etc/atalk/netatalk.conf
%config(noreplace) /etc/atalk/afpd.conf
%config(noreplace) /etc/atalk/atalkd.conf
%config(noreplace) /etc/atalk/papd.conf
%config(noreplace) /etc/pam.d/netatalk
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/netatalk
%{_libdir}/atalk/*.so
%{_libexecdir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%dir %{_includedir}/atalk
%attr(0644,root,root) %{_includedir}/atalk/*
%attr(0644,root,root) %{_includedir}/netatalk/*
%{_datadir}/aclocal/netatalk.m4
%{_libdir}/atalk/*.a
%{_libdir}/atalk/*.la

%changelog
* Mon Jul 31 2006 Nishio Futoshi <futoshi@momonga-linuc.org>
- (2.0.3-4m)
- add patch5 (conflict swab.h)

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.3-3m)
- rebuild against openssl-0.9.8a

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.3-2m)
- rebuild against db4.3

* Sat Jan  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.3-1m)
- sync with fc-devel

* Sun May 29 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.4-5m)
- suppress AC_DEFUN warning.

* Fri Jul  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6.4-4m)
- stop daemon

* Mon Jun 28 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.4-3m)
- rebuild against db4.2

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (1.6.4-2m)
- revised spec for rpm 4.2.

* Fri Dec 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.4-1m)

* Sat Jul 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.6.3-2m)
- remove %{buildroot}%{_includedir}/netatalk/at.h (conflicts glibc-devel >= 2.3)

* Fri Jul 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.3-1m)

* Tue Jun 10 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.2-1m)

* Tue Mar 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.1-2m)
- revice %doc

* Mon Mar 10 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.1-1m)

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.6.0-2m)
  rebuild against openssl 0.9.7a

* Tue Jan 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.0-1m)
- minor feature enhancements

* Tue Dec  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.5.5-1m)

* Mon Jun 17 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.5.3.1-2k)

* Sun Apr 14 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.5.2-8k)
- add pagecount.ps

* Mon Mar 11 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.5.2-6k)
- specify 'noreplace' to config files

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (1.5.2-4k)
- just rebuild for .la fix

* Sun Feb 17 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.5.2-2k)
- change the License to GPL

* Mon Jan  7 2002 Tsutomu Yasuda <tom@kondara.org>
- update to 1.5.0

* Fri Nov 30 2001 Toru Hoshina <t@kondara.org>
- (1.5-0.0008006k)
- comment out %chkconfig

* Sat Nov 03 2001 Motonobu Ichimura <famao@kondara.org>
- (1.5-0.0008004k)
- add patch to build pam related modules correctly

* Mon Oct 22 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-0.0008002k)
- update to 1.5pre8
- add quota to BuildPreReq tag

* Tue Oct 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-0.0007004k)
- errased the process concerning with /etc/service

* Tue Oct  2 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.5-0.0007002k)
- remove '--with-pam' option because pam is enaled by default in this
- version and specifying '--with-pam' causes disabling pam. Why?

* Mon Sep 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.5-0.0006010k)
- Change Group

* Mon Aug  3 2001 Toru Hoshina <toru@df-usa.com>
- (1.5-0.0006008k)
- fixed system-auth issue.

* Sun Apr 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.5-0.0006004k)
- change %postun to %preun

* Mon Apr 16 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
-(1.5-0.0006002k)
 version 1.5pre6

* Thu Apr 12 2001 Shingo Akagaki <dora@kondara.org>
- (1.5pre5-2k)
- version 1.5-pre5

* Sun Dec  3 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.4b2+asun2.1.3-12k)
- modified spec file with macro to smart!

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Fri Jul 28 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (1.4b2+asun2.1.3-8k)
- fix for rpm-3.0.5

* Fri Jul 28 2000 HOSONO Hidetomo <h@kondara.org>
- (1.4b2+asun2.1.3-7k)
- fix of %post and %postun about module configuration file.

* Wed May 24 2000 Daisuke Sato <d@kondara.org>
- fix to set 'alias net-pf-5 appletalk'
- fix to set allmulti mode to eth0

* Fri Feb 25 2000 Toru Hoshina <t@kondara.org>
- fix install.patch, don't make any symlinks to RPM_BUILD_ROOT!

* Sat Dec 11 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Oct 11 1999 Norihito Ohmori <nono@kondara.org>
- /usr/include/netatalk/at.h remove (conflict glibc-devel)

* Tue Aug 3 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- rpm-3.0 needs to remove vogus files from source.
  Removed files: etc/papd/.#magics.c, etc/.#diff
* Fri Jul 30 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Change Copyright tag to BSD.
  Add /usr/bin/adv1tov2.
* Thu Apr 22 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Correct librpcsvc.patch.  Move %changelog section last.
  Uncomment again -DNEED_QUOTA_WRAPPER in sys/linux/Makefile since
  LinuxPPC may need.
* Wed Mar 31 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DNEED_QUOTA_WRAPPER in sys/linux/Makefile.
* Sat Mar 20 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Correct symbolic links to psf.
  Remove asciize function from nbplkup so as to display Japanese hostname.
* Thu Mar 11 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- Included MacPerl 5 script ICDumpSuffixMap which dumps suffix mapping
  containd in Internet Config Preference.
* Tue Mar 2 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [asun2.1.3]
* Mon Feb 15 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-8]
* Sun Feb 7 1999 iNOUE Koich! <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-6]
* Mon Jan 25 1999 iNOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2-3]
* Thu Dec 17 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- [pre-asun2.1.2]
  Remove crlf patch. It is now a server's option.
* Thu Dec 3 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.1.tar.gz
  Add uams directory
* Sat Nov 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-3 source.
* Mon Nov 23 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.1-2 source.
* Mon Nov 16 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Fix rcX.d's symbolic links.
* Wed Oct 28 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0a-2 source. Remove '%exclusiveos linux' line.
* Sat Oct 24 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use stable version source netatalk-1.4b2+asun2.1.0.tar.gz.
* Mon Oct 5 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-10a source.
* Thu Sep 19 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-8 source. Add chkconfig support.
* Sat Sep 12 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Comment out -DCRLF. Use RPM_OPT_FLAGS.
* Mon Sep 8 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-7 source. Rename atalk.init to atalk.
* Mon Aug 22 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-6 source.
* Mon Jul 27 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use pre-asun2.1.0-5 source.
* Tue Jul 21 1998 INOUE Koichi <inoue@ma.ns.musashi-techa.c.jp>
- Use pre-asun2.1.0-3 source.
* Tue Jul 7 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Add afpovertcp entries to /etc/services
- Remove BuildRoot in man8 pages
* Mon Jun 29 1998 INOUE Koichi <inoue@ma.ns.musashi-tech.ac.jp>
- Use modified sources 1.4b2+asun2.1.0 produced by Adrian Sun
  <asun@saul9.u.washington.edu> to provide an AppleShareIP file server
- Included AppleVolumes.system file maintained by Johnson
  <johnson@stpt.usf.edu>
* Mon Aug 25 1997 David Gibson <D.Gibson@student.anu.edu.au>
- Used a buildroot
- Use RPM_OPT_FLAGS
- Moved configuration parameters/files from atalk.init to /etc/atalk
- Separated devel package
- Built with shared libraries
* Sun Jul 13 1997 Paul H. Hargrove <hargrove@sccm.Stanford.EDU>
- Updated sources from 1.3.3 to 1.4b2
- Included endian patch for Linux/SPARC
- Use all the configuration files supplied in the source.  This has the
  following advantages over the ones in the previous rpm release:
	+ The printer 'lp' isn't automatically placed in papd.conf
	+ The default file conversion is binary rather than text.
- Automatically add and remove DDP services from /etc/services
- Placed the recommended /etc/services in the documentation
- Changed atalk.init to give daemons a soft kill
- Changed atalk.init to make configuration easier

* Wed May 28 1997 Mark Cornick <mcornick@zorak.gsfc.nasa.gov>
Updated for /etc/pam.d
